---
title: requests.get() function
description: 'requests.get() makes a http GET request. This identical to calling request.do(method: "GET", ...).'
url: https://docs.influxdata.com/flux/v0/stdlib/experimental/http/requests/get/
estimated_tokens: 2250
product: Flux
version: v0
---

# requests.get() function

-   Flux 0.152.0 – 0.173.0
-   View InfluxDB support

`requests.get()` is experimental and [subject to change at any time](/flux/v0/stdlib/experimental/#experimental-packages-are-subject-to-change).

`requests.get()` makes a http GET request. This identical to calling `request.do(method: "GET", ...)`.

#### Deprecated

Experimental `requests.get` is deprecated in favor of [`requests.get`](/flux/v0/stdlib/http/requests/get/).

##### Function type signature

```js
(
    url: string,
    ?body: bytes,
    ?config: {A with timeout: duration, insecureSkipVerify: bool},
    ?headers: [string:string],
    ?params: [string:[string]],
) => {statusCode: int, headers: [string:string], duration: duration, body: bytes}
```

For more information, see [Function type signatures](/flux/v0/function-type-signatures/).

## Parameters

### url

(Required) URL to request. This should not include any query parameters.

### params

Set of key value pairs to add to the URL as query parameters. Query parameters will be URL encoded. All values for a key will be appended to the query.

### headers

Set of key values pairs to include on the request.

### body

Data to send with the request.

### config

Set of options to control how the request should be performed.

## Examples

-   [Make a GET request](#make-a-get-request)
-   [Make a GET request and decode the JSON response](#make-a-get-request-and-decode-the-json-response)

### Make a GET request

```js
import "experimental/http/requests"

response = requests.get(url: "http://example.com")

requests.peek(response: response)
```

### Make a GET request and decode the JSON response

```js
import "experimental/http/requests"
import "experimental/json"
import "array"

response = requests.get(url: "https://api.agify.io", params: ["name": ["nathaniel"]])

// api.agify.io returns JSON with the form
//
// {
//    name: string,
//    age: number,
//    count: number,
// }
//
// Define a data variable that parses the JSON response body into a Flux record.
data = json.parse(data: response.body)

// Use array.from() to construct a table with one row containing our response data.
// We do not care about the count so only include name and age.
array.from(rows: [{name: data.name, age: data.age}])
```

[](#view-example-output)

View example output

#### Output data

| name | age |
| --- | --- |
| nathaniel | 61 |

[http](/flux/v0/tags/http/) [inputs](/flux/v0/tags/inputs/)
